Package org.astrogrid.samp.xmlrpc

# Class HubMode

java.lang.Object
org.astrogrid.samp.xmlrpc.HubMode

public abstract class HubMode extends Object
Deprecated.
use `HubServiceMode` with `Hub` instead
Specifies a particular hub implementation for use with `HubRunner`.

Since:
  20 Nov 2008
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HubMode`
`CLIENT_GUI`
Deprecated.
Hub mode with a GUI representation of connected clients.
`static HubMode`
`MESSAGE_GUI`
Deprecated.
Hub mode with a GUI representation of clients and messages.
`static final HubMode`
`NO_GUI`
Deprecated.
Hub mode with no GUI representation of hub operations.

## Method Summary

Modifier and Type
Method
Description
`static HubMode[]`
`getAvailableModes()`
Deprecated.
Returns an array of the hub modes which can actually be used.
`static HubMode`
`getModeFromName(String name)`
Deprecated.
Returns one of the known modes which has a name as given.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_GUI

public static final HubMode NO_GUI
Deprecated.
Hub mode with no GUI representation of hub operations.

### CLIENT_GUI

public static final HubMode CLIENT_GUI
Deprecated.
Hub mode with a GUI representation of connected clients.

### MESSAGE_GUI

public static HubMode MESSAGE_GUI
Deprecated.
Hub mode with a GUI representation of clients and messages.

## Method Details

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### getModeFromName

public static HubMode getModeFromName(String name)
Deprecated.
Returns one of the known modes which has a name as given.

Parameters:
  `name` - mode name (case-insensitive)
Returns:
  mode with given name, or null if none known

### getAvailableModes

public static HubMode[] getAvailableModes()
Deprecated.
Returns an array of the hub modes which can actually be used.

Returns:
  available mode list